> ## Documentation Index
> Fetch the complete documentation index at: https://docs.typeauth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new routing profile



## OpenAPI

````yaml openapi.json post /{account_id}/routing/create
openapi: 3.0.0
info:
  title: Type Auth API
  description: >-
    API for managing applications, authentication, monitoring, and security
    features
  version: 1.0.0
servers:
  - url: https://api.typeauth.com
security: []
tags:
  - name: Application
    description: Application management endpoints
  - name: Token
    description: Token endpoints
  - name: JWT
    description: JWT configuration endpoints
  - name: Authentication
    description: Authentication endpoints
  - name: JWK
    description: JWK (JSON Web Key) management endpoints
  - name: Security
    description: Security and firewall configuration endpoints
  - name: Fraud and abuse prevention
    description: Abuse prevention and rate limiting endpoints
  - name: Monitor
    description: Application monitoring endpoints
  - name: Routing
    description: Route configuration endpoints
  - name: Tag
    description: Tag management endpoints
paths:
  /{account_id}/routing/create:
    post:
      tags:
        - Routing
      summary: Create a new routing profile
      parameters:
        - name: account_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateRoutingRequest'
      responses:
        '201':
          description: Routing profile created successfully
      security:
        - bearerAuth: []
components:
  schemas:
    CreateRoutingRequest:
      type: object
      properties:
        name:
          type: string
        endpoints:
          type: array
          items:
            $ref: '#/components/schemas/RoutingEndpoints'
    RoutingEndpoints:
      type: object
      properties:
        public_method:
          type: string
        public_path:
          type: string
        public_headers:
          type: array
          items:
            type: string
        typeauth_response:
          type: string
        typeauth_response_code:
          type: number
        typeauth_response_body:
          type: string
        typeauth_response_content_type:
          type: string
        target_path:
          type: string
        target_hostname:
          type: string
        target_method:
          type: string

````